Page MenuHomePhabricator

Audit jQuery use in UploadWizard
Closed, ResolvedPublic

Description

There's a lot of jQuery use in UW, but a lot of it seems like it was thrown in before we have our current best-practices guidelines for its use, and really doesn't follow them. Probably something it would be good to look into.


Version: master
Severity: minor

Details

Reference
bz53245

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:12 AM
bzimport set Reference to bz53245.
bzimport added a subscriber: Unknown Object (MLST).

Change 86803 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.ApiUploadHandler.js

https://gerrit.wikimedia.org/r/86803

Change 86804 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.DestinationChecker.js

https://gerrit.wikimedia.org/r/86804

Change 86805 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.ErrorDialog.js

https://gerrit.wikimedia.org/r/86805

  • Bug 50323 has been marked as a duplicate of this bug. ***

Change 86810 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.GroupProgressBar.js

https://gerrit.wikimedia.org/r/86810

Change 86811 had a related patch set uploaded by MarkTraceur:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/86811

Change 86814 had a related patch set uploaded by MarkTraceur:
jquery audit and code convention fixes for mw.UWUI

https://gerrit.wikimedia.org/r/86814

Change 87885 had a related patch set uploaded by MarkTraceur:
jquery audit for mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/87885

Change 87885 merged by jenkins-bot:
jquery audit for mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/87885

Change 88124 had a related patch set uploaded by MarkTraceur:
jquery audit for mw.UploadWizard.js

https://gerrit.wikimedia.org/r/88124

Change 88476 had a related patch set uploaded by Alex Monk:
Fix a few remaining things in mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/88476

Change 88476 merged by jenkins-bot:
Fix a few remaining things in mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/88476

Change 86811 merged by jenkins-bot:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/86811

Change 141191 had a related patch set uploaded by Inchikutty:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/141191

Change 141191 abandoned by Alex Monk:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/141191

Krinkle added a subscriber: Krinkle.

Current status: All pending patches abandoned, anticipating that we will fix this as we migrate to OOUI.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:12 PM

@MarkTraceur Can you recall what criteria were you using in your audit, and give the files a look and see it they now meet them? We weren't working on this specifically, but looking at the commit messages above, many of the files no longer exist at all (mw.IframeTransport.js) or were completely rewritten (mw.LanguageUpWiz.js, mw.ErrorDialog.js).

@MarkTraceur: Could you answer MatmaRex' question please?

MarkTraceur closed this task as Resolved.Sep 23 2016, 2:13 PM
MarkTraceur claimed this task.

Yes, sorry about that @matmarex!

As I recall, most of this was using DOM building shortcuts (i.e. $( '<div>' )) instead of parsing big HTML strings while building the interface. I think the issues have been addressed to my satisfaction.